DEPTH = ../../../..

include $(DEPTH)/Makefile.os

PACKAGE?=freedoko-manual-de

TARGET_DIR?=/tmp/FreeDoko.packages
PACKAGE_DIR?=$(TARGET_DIR)/$(PACKAGE)-$(VERSION)

# Edited for Debian GNU/Linux.
DESTDIR = 

.PHONY: all release_directory package

all :

release_directory :
	-rm -rf $(PACKAGE_DIR)
	mkdir -p $(PACKAGE_DIR)
	cp -a . $(PACKAGE_DIR)/debian
	cp Makefile.install $(PACKAGE_DIR)/Makefile
	cp ../copyright $(PACKAGE_DIR)/copyright
	cp $(DEPTH)/AUTHORS $(PACKAGE_DIR)/AUTHORS
	mkdir -p $(PACKAGE_DIR)/doc/manual/
	cp -a $(DEPTH)/doc/manual/de $(PACKAGE_DIR)/doc/manual/de
	chmod -R a+rX $(PACKAGE_DIR)

package : release_directory
	cd $(PACKAGE_DIR) \
	  && debuild
